%define	release	%mkrel 1

Summary:	eid-viewer enables you to inspect your Belgium eID card
Summary(de):	eid-viewer erlaubt es ihnen Ihre belgische eID Karte zu inspizieren.
Name:		eid-viewer
Version:	4.1.20
Release:	%release
Group:		Communications
License:	LGPL v3
Group:		Development/Java
URL: 		http://eid.belgium.be/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	java-devel
BuildRequires:	apache-maven
BuildRequires:	desktop-file-utils
Requires:	java
Requires:	pcsc-lite
Requires:	ccid
BuildArch:	noarch


%description
eID-Viewer is a graphical interface to the Belgian Electronic Identity Card
use it to view, print, save data from the Belgian electronic identity card.

%description -l de
eID-Viewer ist eine grafische Schnittstelle zur belgischen elektronischen 
Identitäskarte, nutzen Sie diese um Daten von der Karte anzusehen, zu drucken 
oder zu speichern.

%prep
%setup -q
autoreconf -fis

%build
# first build the java application the configure script needs it
mvn clean package
# move and rename to be accepted by the configure script
mv eid-viewer-gui/target/eid-viewer-gui-%{version}.jar ./eid-viewer.jar

./configure --prefix=/usr
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Utility" \
  --add-category="X-MandrivaLinux-MoreApplications-Communications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING COPYING.ARTWORK COPYING.LESSER
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.jar
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/%{name}.png

%changelog
* Wed Dec 21 2016 ghostbunny <ghostbunny at gmx dot de> 4.1.20-1pclos2017
- 4.1.20

* Sat Feb 20 2016 ghostbunny <ghostbunny at gmx dot de> 4.1.13-1pclos2016
- 4.1.13

* Wed Aug 12 2015 ghostbunny <ghostbunny at gmx dot de> 4.1.4-1pclos2015
- 4.1.4 (initial import for pclinuxos)
